# Initialization

To initialize the SDK you have to create a token through the [dashboard](https://mburger.cloud/).&#x20;

Click on the settings icon on the top-right and create an API Key specifying the permissions.

Then, in your **`AppDelegate application:didFinishLaunchingWithOptions:`** initialize the MBManager of the SDK setting a token like this:

```swift
import MBurger

…

func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplicationLaunchOptionsKey: Any]?) -> Bool {
    MBManager.shared.apiToken = "YOUR_API_TOKEN"
    return true
}
```

## Usage

You will use the **`MBClient`** class to make all the requests to the api to retrieve data from MBurger.&#x20;

All the api calls have a plural version and the singular counterpart.

For example, you can retrieve the list of blocks of the project or you can retrieve a single block giving its id.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mburger.cloud/ios-docs/initialization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
